Subject: Re: [PATCH v2] pasemi_dma: Driver for PA Semi PWRficient on-chip DMA engine

From: Olof Johansson <[email-masked]>
Date: Mon, 17 Mar 2008 19:27:26 -0500

On Mon, Mar 17, 2008 at 11:46:39AM -0700, Dan Williams wrote:
> Looks good, makes me want to go back and cleanup iop-adma a bit.  A
> few fyi's below, but no other review comments.
> 
> >  Note that this still needs to go on top of the powerpc.git tree due to the
> >  pasemi_dma.h updates that this driver depends on. I suggest merging this
> >  through pasemi.git->powerpc.git->linus with an Acked-by from the DMA guys.
> 
> Ok, it still may not compile in mainline until after 2.6.26-rc1 due to
> additional dmaengine cleanups like the ack-to-flags change I posted
> earlier.  Any better way to handle this?  Go through -mm?

Either go through -mm where Andrew can keep it applied in appropriate
order and send upstream, or just merge it late. It's a new driver, and
they're normally OK to go in a little later. That might be the easiest
solution in this case.

> Acked-by: Dan Williams <[email-masked]>

Thanks!

-Olof